<script setup lang="ts">
import { shallowRef, onMounted } from "vue";
import Business from "./components/business.vue";
import { usePermission } from "/@/hooks/core";

const actived = shallowRef("");
const { hasPermissionWithCode } = usePermission("procurementCommissionSup");

onMounted(() => {
  if (hasPermissionWithCode("3")) {
    actived.value = "3";
  } else if (hasPermissionWithCode("11")) {
    actived.value = "11";
  }
});
</script>

<template>
  <div class="report-container">
    <business/>
  </div>
</template>

<style scoped lang="scss">
.report-container {
  height: calc(100vh - 48px);
  :deep(.el-tabs__header) {
    background-color: #fff;
    padding: 10px 10px 0;
  }
}
</style>
